Package org.eclipse.m2m.atl.emftvm.trace.util

## Class TraceAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.emftvm.trace.util.TraceAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`

Direct Known Subclasses:
  `TraceItemProviderAdapterFactory`

    public class TraceAdapterFactory
    extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.

See Also:
  `TracePackage`

### Field Summary

Fields
`protected static TracePackage` `modelPackage` The cached model package.
`protected TraceSwitch<org.eclipse.emf.common.notify.Adapter>` `modelSwitch` The switch that delegates to the `createXXX` methods.

### Constructor Summary

Constructors
`TraceAdapterFactory()` Creates an instance of the adapter factory.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.Adapter` `createAdapter​(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` `createSourceElementAdapter()` Creates a new adapter for an object of class '`Source Element`'.
`org.eclipse.emf.common.notify.Adapter` `createSourceElementListAdapter()` Creates a new adapter for an object of class '`Source Element List`'.
`org.eclipse.emf.common.notify.Adapter` `createTargetElementAdapter()` Creates a new adapter for an object of class '`Target Element`'.
`org.eclipse.emf.common.notify.Adapter` `createTracedRuleAdapter()` Creates a new adapter for an object of class '`Traced Rule`'.
`org.eclipse.emf.common.notify.Adapter` `createTraceElementAdapter()` Creates a new adapter for an object of class '`Element`'.
`org.eclipse.emf.common.notify.Adapter` `createTraceLinkAdapter()` Creates a new adapter for an object of class '`Link`'.
`org.eclipse.emf.common.notify.Adapter` `createTraceLinkSetAdapter()` Creates a new adapter for an object of class '`Link Set`'.
`boolean` `isFactoryForType​(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### modelPackage

    protected static TracePackage modelPackage

The cached model package.

#### modelSwitch

    protected TraceSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

The switch that delegates to the `createXXX` methods.

### Constructor Detail

#### TraceAdapterFactory

    public TraceAdapterFactory()

Creates an instance of the adapter factory.

### Method Detail

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object object)

Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Returns:
  whether this factory is applicable for the type of the object.

#### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter​(org.eclipse.emf.common.notify.Notifier target)

Creates an adapter for the `target`.

Overrides:
  `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
Parameters:
  `target` - the object to adapt.
Returns:
  the adapter for the `target`.

#### createTraceLinkSetAdapter

    public org.eclipse.emf.common.notify.Adapter createTraceLinkSetAdapter()

Creates a new adapter for an object of class '`Link Set`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TraceLinkSet`

#### createTracedRuleAdapter

    public org.eclipse.emf.common.notify.Adapter createTracedRuleAdapter()

Creates a new adapter for an object of class '`Traced Rule`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TracedRule`

#### createTraceLinkAdapter

    public org.eclipse.emf.common.notify.Adapter createTraceLinkAdapter()

Creates a new adapter for an object of class '`Link`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TraceLink`

#### createTraceElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTraceElementAdapter()

Creates a new adapter for an object of class '`Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TraceElement`

#### createSourceElementAdapter

    public org.eclipse.emf.common.notify.Adapter createSourceElementAdapter()

Creates a new adapter for an object of class '`Source Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SourceElement`

#### createTargetElementAdapter

    public org.eclipse.emf.common.notify.Adapter createTargetElementAdapter()

Creates a new adapter for an object of class '`Target Element`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `TargetElement`

#### createSourceElementListAdapter

    public org.eclipse.emf.common.notify.Adapter createSourceElementListAdapter()

Creates a new adapter for an object of class '`Source Element List`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

Returns:
  the new adapter.
See Also:
  `SourceElementList`

#### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

Creates a new adapter for the default case. This default implementation returns null.

Returns:
  the new adapter.